<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* playlist-form-delete.twig */
class __TwigTemplate_e75f836d716eef0437ca5864f29661b7ebece10fabf6aca1b880e813535a8b70 extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 9
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 10
        $context["forms"] = $this->loadTemplate("forms.twig", "playlist-form-delete.twig", 10)->unwrap();
        // line 9
        $this->parent = $this->loadTemplate("form-base.twig", "playlist-form-delete.twig", 9);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 12
    public function block_formTitle($context, array $blocks = [])
    {
        // line 13
        echo "    ";
        $context["playlistName"] = $this->getAttribute(($context["playlist"] ?? null), "name", []);
        // line 14
        echo "    ";
        /* xgettext:no-php-format */        echo strtr(__("Delete %playlistName%"), array("%playlistName%" => ($context["playlistName"] ?? null), ));
    }

    // line 17
    public function block_formButtons($context, array $blocks = [])
    {
        // line 18
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["help"] ?? null), "delete", []), "html", null, true);
        echo "\")
    ";
        // line 19
        echo __("No");
        echo ", XiboDialogClose()
    ";
        // line 20
        echo __("Yes");
        echo ", \$(\"#playlistDeleteForm\").submit()
";
    }

    // line 23
    public function block_formHtml($context, array $blocks = [])
    {
        // line 24
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"playlistDeleteForm\" class=\"XiboForm form-horizontal\" method=\"delete\" action=\"";
        // line 26
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("playlist.delete", ["id" => $this->getAttribute(($context["playlist"] ?? null), "playlistId", [])]), "html", null, true);
        echo "\">
                ";
        // line 27
        ob_start(function () { return ''; });
        echo __("Are you sure you want to delete this Playlist?");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 28
        echo "                ";
        echo $context["forms"]->getmessage(($context["message"] ?? null));
        echo "
                
                ";
        // line 30
        ob_start(function () { return ''; });
        echo __("All media will be unassigned and any playlist specific media such as text/rss will be lost. The playlist will be removed from all Layouts.");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 31
        echo "                ";
        echo $context["forms"]->getmessage(($context["message"] ?? null));
        echo "
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "playlist-form-delete.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  100 => 31,  96 => 30,  90 => 28,  86 => 27,  82 => 26,  78 => 24,  75 => 23,  69 => 20,  65 => 19,  58 => 18,  55 => 17,  50 => 14,  47 => 13,  44 => 12,  39 => 9,  37 => 10,  31 => 9,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "playlist-form-delete.twig", "/home/mgatv524/public_html/edurocha/views/playlist-form-delete.twig");
    }
}
